disk-manager (25.11.03) mx; urgency=medium

  * deduplicate mount options
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 24 Nov 2025 20:08:15 -0500

disk-manager (25.11.02) mx; urgency=medium

  * another backslash regex fix

 -- fehlix <fehlix@mxlinux.org>  Thu, 13 Nov 2025 16:49:39 -0500

disk-manager (25.11.01) mx; urgency=medium

  * add support for ntfs3 file system
  * remove "ntfs read-only" from selection list

 -- fehlix <fehlix@mxlinux.org>  Wed, 12 Nov 2025 19:22:06 -0500

disk-manager (25.04.01) mx; urgency=medium

  * fix regex in ToolsBackend
  * replace SafeConfigParser with ConfigParser (python 3.13)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 16 Apr 2025 18:45:06 -0400

disk-manager (24.03.01) mx; urgency=medium

  * fix: show translatable strings from glade
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Tue, 26 Mar 2024 14:43:37 -0400

disk-manager (23.10.01) mx; urgency=medium

  * fix UnicodeDecodeError due to UTF-16 encoding of partition label

 -- fehlix <fehlix@mxlinux.org>  Fri, 20 Oct 2023 18:19:28 -0400

disk-manager (23.09.02) mx; urgency=medium

  * adjust missing dump and passno fields for all fstab lines

 -- fehlix <fehlix@mxlinux.org>  Thu, 21 Sep 2023 15:26:37 -0400

disk-manager (23.09.01) mx; urgency=medium

  * add missing dump- and pass-fields to swap lines in fstab

 -- fehlix <fehlix@mxlinux.org>  Sun, 17 Sep 2023 21:01:52 -0400

disk-manager (23.04.04) mx; urgency=medium

  * update launcher script
  * don't pass home or session bus variables

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 12 Apr 2023 19:54:14 -0400

disk-manager (23.04.03) mx; urgency=medium

  * fix policy file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 08 Apr 2023 21:33:50 -0400

disk-manager (23.04.01) mx; urgency=medium

  * add polkit policy

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 08 Apr 2023 12:48:10 -0400

disk-manager (23.01.01) mx; urgency=medium

  * make ntfs-3g default preselected driver for ntfs
  * replace "Access driver" with "Read-only driver" for ntfs

 -- fehlix <fehlix@mxlinux.org>  Sat, 21 Jan 2023 16:38:38 +0000

disk-manager (22.01.02) mx; urgency=medium

  * adjust translatable strings
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Sat, 29 Jan 2022 13:18:50 -0400

disk-manager (22.01.01) mx; urgency=medium

  * add version number handling to debian/rules 
  * comment out not used HistoryDialog class
  * removed not used NewDevice dialog interface in glade
  * fixed "None" to python None translations
  * removed msg-context in glade to make merge existing translations properly
  * fixed fuzzy messages in existing po-translation file
  * add translator comments to keep 'fuzzy' and 'force' mount options untranslated
  * made About dialog message translatable
  * added en.pot
  * added updated translation po-files

 -- fehlix <fehlix@mxlinux.org>  Wed, 12 Jan 2022 19:08:33 -0500

disk-manager (21.12.02) mx; urgency=medium

  * add to mx-tools 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 31 Dec 2021 21:17:44 -0500

disk-manager (21.12.01) mx; urgency=medium

  * adjust error pop-up's, bind-mounts and translations handling

 -- fehlix <fehlix@mxlinux.org>  Sun, 19 Dec 2021 16:00:02 -0500

disk-manager (21.10.21) mx; urgency=medium

  * adjust identification and disable unmounting of system partitions

 -- fehlix <fehlix@mxlinux.org>  Sat, 20 Nov 2021 19:57:33 -0500

disk-manager (21.10.20) mx; urgency=medium

  * dialog tweaks 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 19 Nov 2021 22:36:25 -0500

disk-manager (21.10.19) mx; urgency=medium

  * adjust mount error handling

 -- fehlix <fehlix@mxlinux.org>  Fri, 19 Nov 2021 16:39:40 -0500

disk-manager (21.10.18) mx; urgency=medium

  * suppress stderr when checking for driver kernel module

 -- fehlix <fehlix@mxlinux.org>  Thu, 18 Nov 2021 04:17:33 -0500
 
disk-manager (21.10.17) mx; urgency=medium

  * fix fs driver detection for unloaded kernel modules

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 Nov 2021 20:14:37 -0500
 
disk-manager (21.10.16) mx; urgency=medium

  * make button icons visible

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 17 Nov 2021 18:12:12 -0500

disk-manager (21.10.15) mx; urgency=medium

  * display disk-manager task bar icon
  * do not make any rows inactive text 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 17 Nov 2021 17:08:18 -0500

disk-manager (21.10.14) mx; urgency=medium

  * add xlinks2 used in antiX

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 Nov 2021 14:39:12 -0500

disk-manager (21.10.13) mx; urgency=medium

  * adjust mountpoint slection, filechoser opens in current mountpoint dir
  * adjust mount options, added g-vfs-show for visbility in file manager
  * open html/file browser as user from within pkexec, set XDG_RUNTIME_DIR 
  * ignore ram,fd and sr devices even if setup in fstab

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 Nov 2021 08:00:48 -0500

disk-manager (21.10.12) mx; urgency=medium

  * replacing warning dialog in edit with a standard gtk messagebox 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Nov 2021 23:15:55 -0500

disk-manager (21.10.11) mx; urgency=medium

  * edit box resizable, fix ntfs drive warning
  * default exfat, ntfs, vfat r/w permissions for user and users group

 -- fehlix <fehlix@mxlinux.org>  Sun, 14 Nov 2021 20:21:52 -0500

disk-manager (21.10.10) mx; urgency=medium

  * update help function, select method to open based on what exists on system 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Nov 2021 10:39:42 -0500

disk-manager (21.10.09) mx; urgency=medium

  * simplify Information UI 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Nov 2021 10:16:21 -0500

disk-manager (21.10.08) mx; urgency=medium

  * revised UI 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Nov 2021 22:18:04 -0500

disk-manager (21.10.07) mx; urgency=medium

  * python-notify removed; os.tmpfile replaced by tempfile
  * removed save and history menu items

 -- fehlix <fehlix@mxlinux.org>  Thu, 13 Nov 2021 20:00:12 -0500

disk-manager (21.10.06) mx; urgency=medium

  * about dialog revamp 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 12 Nov 2021 17:25:32 -0500

disk-manager (21.10.05) mx; urgency=medium

  * addjust dialog button events

 -- fehlix <fehlix@mxlinux.org>  Thu, 11 Nov 2021 18:00:14 -0500

disk-manager (21.10.04) mx; urgency=medium

  * addjust nvme and mmcblk device detection
  * filter out loop devices
  * replace label Demonter with Unmount in disk-manager.desktop.glade
  * adjust disk-manager.desktop.in.in

 -- fehlix <fehlix@mxlinux.org>  Thu, 11 Nov 2021 13:15:02 -0500

disk-manager (21.10.03) mx; urgency=medium

  * filter out optical devices (fehlix)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 10 Nov 2021 19:15:47 -0500

disk-manager (21.10.02) mx; urgency=medium

  * Switch to debhelper-compat and delete compat file.
  * Minor control and copyright file refinements.
  * Add debian/source folder and files.
  * Delete debian/disk-manager.xpm as icon is standard at this point.
  
 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 10 Nov 2021 13:31:49 -0500

disk-manager (21.10.02) mx; urgency=medium

  * install to /usr instead of /usr/local

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 08 Nov 2021 19:04:00 -0500

disk-manager (21.10.01) mx; urgency=medium

  * update from original source

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 07 Nov 2021 12:15:46 -0500

disk-manager (1.1.1-2) unstable; urgency=low

  * Add Build-Depends-Indep on menu, so that su-to-root gets
    detected as SUHANDLER (Closes: #640133)
  * Package switched from pysupport to dh_python2
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Sun, 25 Sep 2011 17:15:19 +0200

disk-manager (1.1.1-1) unstable; urgency=low

  * New upstream version
  * 06-private_pythonlib.patch refreshed
  * Add dependency on menu
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 05 May 2011 16:43:59 +0200

disk-manager (1.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch to point to Launchpad
  * Bump Standards-Version to 3.9.1, no changes needed
  * Patches refreshed; merged ones have been removed
  * Build-Depend on intltool
  * Point menu to disk-manager, instead of disk-manager-root
  * Remove unneeded recommends and build-depends (ntfs-3g,
    module-init-tools, libxml-parser-perl)

 -- David Paleino <dapal@debian.org>  Mon, 07 Feb 2011 17:47:41 +0100

disk-manager (1.0.1-5) unstable; urgency=low

  * debian/copyright updated:
    - missing po/*.po copyrights
    - debian/disk-manager.xpm copyright specified
    - don't refer to symlink licenses
  * debian/control:
    - email address updated
    - DMUA removed
    - removed build-dependency on quilt
    - bumped build-dependency on debhelper to >= 7.0.50~
    - bumped build-dependency on python-support to >= 0.90.0~
    - bumped Standards-Version to 3.8.4, no changes needed
  * debian/source/format: use 3.0 (quilt)
  * debian/pyversions added, instead of {XS,XB}-Python-Version in
    debian/control
  * debian/rules:
    - remove quilt machinery
    - rewritten using more compact dh7
    - support private module location
    - pass a generic "python" script for shebangs to configure script,
      thanks to Stefano Rivera (Closes: #587334)
  * debian/patches/:
    - *.patch refreshed, added DEP-3 headers
    - 06-private_pythonlib.patch added, thanks to Stefano Rivera.
    - 07-fix_manpage_typos.patch added, fixes some typos found by lintian.

 -- David Paleino <dapal@debian.org>  Sun, 27 Jun 2010 22:27:44 +0200

disk-manager (1.0.1-4) unstable; urgency=low

  * debian/patches/:
    - 05-fix_entries_sorting.patch fixed (really Closes: #519439)
  * debian/control:
    - DMUA set

 -- David Paleino <d.paleino@gmail.com>  Wed, 13 May 2009 07:12:15 +0200

disk-manager (1.0.1-3) unstable; urgency=low

  * debian/control:
    - packaging moved to Git, fixing Vcs-* fields
    - debhelper dependency bumped to >= 7
    - Standards-Version bumped to 3.8.1
    - added ${misc:Depends} to disk-manager
  * debian/rules switched to dh7
  * debian/compat bumped to 7
  * debian/dirs added
  * debian/install added
  * debian/patches/:
    - 01-fix_paths.patch, 02-fix_desktop_files.patch,
      03-fix_translation.patch: description added
    - 04-fix_POTFILES.skip.patch added
    - 05-fix_entries_sorting.patch added (Closes: #519439)

 -- David Paleino <d.paleino@gmail.com>  Sun, 03 May 2009 20:05:20 +0200

disk-manager (1.0.1-2) unstable; urgency=low

  * Added dependency on python-glade2 (Closes: #487579)

 -- David Paleino <d.paleino@gmail.com>  Sun, 22 Jun 2008 22:28:25 +0200

disk-manager (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #486699)

 -- David Paleino <d.paleino@gmail.com>  Thu, 19 Jun 2008 22:15:43 +0200
